title: Project
pages: false
files:
  sortable: true
fields:
  title:
    label: Title
    type:  text
  cover:
    label: Cover Image
    type: selector
    mode: single
    types:
      - image
    size: 3
  thumbnail:
    label: Thumbnail
    type: selector
    mode: single
    types:
      - image
    filter: .gif
    size: 3
  year:
    label: Year
    type:  date
  text:
    label: Text
    type:  wysiwyg
  tags:
    label: Tags
    type:  tags
  builder:
    label: Media
    type: builder
    fieldsets:
    	captionedImage:
        label: Image
        entry: >
              <img src="{{_fileUrl}}{{image}}" height="120px"/>
              <br/>Caption: <i>{{caption}}</i>
        fields:
          image:
              label: Image
              type: selector
              types:
                  - image
              size: 5
          caption:
              label: Caption
              type: wysiwyg
    	captionedVideo:
        label: Video or Soundcloud
        entry: >
              URL: {{media}}
              <br/>Caption: <i>{{caption}}</i>
        fields:
          media:
              label: URL
              type: url
          caption:
              label: Caption
              type: wysiwyg
